Bug 708445 - NetworkManager is not working on system after update with 1:0.8.999-3.git20110526.fc15
NetworkManager is not working on system after update with 1:0.8.999-3.git2011...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Regression, Triaged
: 708623 708624 708626 708677 708678 708700 708908 709044 709173 709408 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 12:27 EDT by A S Alam
Modified: 2013-07-02 21:08 EDT (History)
43 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.9997-1.git20110531.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 14:58:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
var log messages (570.54 KB, application/octet-stream)
2011-05-28 14:35 EDT, Jean-François Fortin Tam
no flags Details
backtrace (5.36 KB, text/plain)
2011-06-24 13:26 EDT, Patrick
no flags Details

  None (edit)
Description A S Alam 2011-05-27 12:27:22 EDT
Description of problem:
NetworkManager is not working after update packages with following packages:
--
NetworkManager-{glib,gnome}1:0.8.999-3.git20110526.fc15
--


May 27 21:26:15 yuri systemd[1]: NetworkManager.service: main process exited, code=exited, status=1
May 27 21:26:15 yuri systemd[1]: Unit NetworkManager.service entered failed state.
May 27 21:26:39 yuri dbus: [system] Failed to activate service 'org.freedesktop.NetworkManager': timed out
May 27 21:26:39 yuri dbus: [system] Activating via systemd: service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
May 27 21:26:39 yuri NetworkManager[2150]: <info> NetworkManager (version 0.8.999-3.git20110526.fc15) is starting...
May 27 21:26:39 yuri NetworkManager[2150]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
May 27 21:26:39 yuri NetworkManager[2150]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
May 27 21:26:39 yuri NetworkManager[2150]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
May 27 21:26:39 yuri NetworkManager[2150]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
May 27 21:26:39 yuri NetworkManager[2150]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
May 27 21:26:39 yuri NetworkManager[2150]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
May 27 21:26:39 yuri NetworkManager[2150]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 27 21:26:39 yuri NetworkManager[2150]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 27 21:26:39 yuri NetworkManager[2150]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
May 27 21:26:39 yuri NetworkManager[2150]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-JoT ... 
May 27 21:26:39 yuri NetworkManager[2150]:    ifcfg-rh:     read connection 'JoT'
May 27 21:26:39 yuri NetworkManager[2150]:    keyfile: parsing Reliance connection 1 ... 
May 27 21:26:39 yuri NetworkManager[2150]: <warn> caught signal 11. Generating backtrace...
May 27 21:26:39 yuri NetworkManager: ******************* START **********************************
May 27 21:26:39 yuri NetworkManager: [Thread debugging using libthread_db enabled]
May 27 21:26:40 yuri NetworkManager: 0x00ded416 in __kernel_vsyscall ()
May 27 21:26:40 yuri NetworkManager: #0  0x00ded416 in __kernel_vsyscall ()
May 27 21:26:40 yuri NetworkManager: #1  0x47f5a5f3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 27 21:26:40 yuri NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 27 21:26:40 yuri NetworkManager: #3  0x0808a21d in ?? ()
May 27 21:26:40 yuri NetworkManager: #4  <signal handler called>
May 27 21:26:40 yuri NetworkManager: #5  0x480300d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #6  0x080d3340 in ?? ()
May 27 21:26:40 yuri NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
May 27 21:26:40 yuri NetworkManager: #8  0x080def34 in nm_keyfile_connection_new ()
May 27 21:26:40 yuri NetworkManager: #9  0x080db2f2 in ?? ()
May 27 21:26:40 yuri NetworkManager: #10 0x080dbde6 in ?? ()
May 27 21:26:40 yuri NetworkManager: #11 0x080d2dc0 in nm_system_config_interface_get_connections ()
May 27 21:26:40 yuri NetworkManager: #12 0x080cf59c in ?? ()
May 27 21:26:40 yuri NetworkManager: #13 0x080d0f59 in nm_settings_get_unmanaged_specs ()
May 27 21:26:40 yuri NetworkManager: #14 0x080d1142 in ?? ()
May 27 21:26:40 yuri NetworkManager: #15 0x48153038 in g_object_get_property () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #16 0x080ce063 in ?? ()
May 27 21:26:40 yuri NetworkManager: #17 0x4816778b in g_cclosure_marshal_VOID__PARAM () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #18 0x4814989e in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: osure_invoke () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #20 0x4815caf5 in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #21 0x48166412 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #22 0x48166594 in g_signal_emit () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #24 0x4814c0c0 in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #25 0x4814f052 in g_object_notify () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: #26 0x080cf521 in ?? ()
May 27 21:26:40 yuri NetworkManager: #27 0x080d2158 in nm_settings_new ()
May 27 21:26:40 yuri NetworkManager: #28 0x08060e14 in main ()
May 27 21:26:40 yuri NetworkManager: 
May 27 21:26:40 yuri NetworkManager: Thread 1 (Thread 0xb7741750 (LWP 2150)):
May 27 21:26:40 yuri NetworkManager: #0  0x00ded416 in __kernel_vsyscall ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #1  0x47f5a5f3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 27 21:26:40 yuri NetworkManager:  symbol table info available.
May 27 21:26:40 yuri NetworkManager: #3  0x0808a21d in ?? ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #4  <signal handler called>
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #5  0x480300d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: 080d3340 in ?? ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #8  0x080def34 in nm_keyfile_connection_new ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #9  0x080db2f2 in ?? ()
May 27 21:26:40 yuri NetworkManager:  table info available.
May 27 21:26:40 yuri NetworkManager: #10 0x080dbde6 in ?? ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #11 0x080d2dc0 in nm_system_config_interface_get_connections ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #12 0x080cf59c in ?? ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: tings_get_unmanaged_specs ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #14 0x080d1142 in ?? ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #15 0x48153038 in g_object_get_property () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #16 0x080ce063 in ?? ()
May 27 21:26:40 yuri NetworkManager:  table info available.
May 27 21:26:40 yuri NetworkManager: #17 0x4816778b in g_cclosure_marshal_VOID__PARAM () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #18 0x4814989e in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: ke () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #20 0x4815caf5 in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #21 0x48166412 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: e.
May 27 21:26:40 yuri NetworkManager: #22 0x48166594 in g_signal_emit () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #23 0x4814cc87 in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #24 0x4814c0c0 in ?? () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager:  info available.
May 27 21:26:40 yuri NetworkManager: #25 0x4814f052 in g_object_notify () from /lib/libgobject-2.0.so.0
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #26 0x080cf521 in ?? ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: #27 0x080d2158 in nm_settings_new ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager:  in main ()
May 27 21:26:40 yuri NetworkManager: No symbol table info available.
May 27 21:26:40 yuri NetworkManager: A debugging session is active.
May 27 21:26:40 yuri NetworkManager: 
May 27 21:26:40 yuri NetworkManager: #011Inferior 1 [process 2150] will be detached.
May 27 21:26:40 yuri NetworkManager: 
May 27 21:26:40 yuri NetworkManager: Quit anyway? (y or n) [answered Y; input not from terminal]
May 27 21:26:40 yuri NetworkManager: ******************* END **********************************
--


After downgrade to 
NetworkManager-0.8.999-2.git20110509.fc15.i686

Network is working
Comment 1 A S Alam 2011-05-27 12:53:22 EDT
may be hardware bug, as it is working on other laptop

Current laptop profile: http://www.smolts.org/client/show/pub_63feb5f8-548a-49d9-86f0-7a9b500698c6 (where bug exist)
Comment 2 Ansio 2011-05-28 07:26:18 EDT
Confirmed,
In my case NM crashes when parsing a 3G connection file in /etc/NetworkManager/system-connections/Exetel PAYG

Deleting the specific connection file allows NM to start. However adding a new 3G config via the Gnome 3 interface crashes NM again. 

Not sure if its specific to 3G or specific to anything in /etc/NetworkManager/system-connections/

Suspect this will bite a large number of people

May 28 19:02:19 localhost NetworkManager[1748]: <info> NetworkManager (version 0.8.999-3.git20110526.fc15) is starting...
May 28 19:02:19 localhost NetworkManager[1748]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
May 28 19:02:19 localhost NetworkManager[1748]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
May 28 19:02:19 localhost NetworkManager[1748]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
May 28 19:02:19 localhost NetworkManager[1748]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
May 28 19:02:19 localhost NetworkManager[1748]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
May 28 19:02:19 localhost NetworkManager[1748]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
May 28 19:02:19 localhost NetworkManager[1748]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 28 19:02:19 localhost NetworkManager[1748]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 28 19:02:19 localhost NetworkManager[1748]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-em1 ... 
May 28 19:02:19 localhost NetworkManager[1748]:    ifcfg-rh:     read connection 'System em1'
May 28 19:02:19 localhost NetworkManager[1748]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
May 28 19:02:19 localhost NetworkManager[1748]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_HTC_Portable_Hotspot ... 
May 28 19:02:19 localhost NetworkManager[1748]:    ifcfg-rh:     read connection 'Auto HTC Portable Hotspot'
May 28 19:02:19 localhost NetworkManager[1748]:    keyfile: parsing Exetel PAYG ... 
May 28 19:02:19 localhost NetworkManager[1748]: <warn> caught signal 11. Generating backtrace...
May 28 19:02:19 localhost NetworkManager: ******************* START **********************************
May 28 19:02:20 localhost NetworkManager: [Thread debugging using libthread_db enabled]
May 28 19:02:20 localhost NetworkManager: 0x00aea424 in __kernel_vsyscall ()
May 28 19:02:20 localhost NetworkManager: #0  0x00aea424 in __kernel_vsyscall ()
May 28 19:02:20 localhost NetworkManager: #1  0x4fd725f3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 28 19:02:20 localhost NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 28 19:02:20 localhost NetworkManager: #3  0x0808a21d in ?? ()
May 28 19:02:20 localhost NetworkManager: #4  <signal handler called>
May 28 19:02:20 localhost NetworkManager: #5  0x4fe480d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #6  0x080d3340 in ?? ()
May 28 19:02:20 localhost NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
May 28 19:02:20 localhost NetworkManager: #8  0x080def34 in nm_keyfile_connection_new ()
May 28 19:02:20 localhost NetworkManager: #9  0x080db2f2 in ?? ()
May 28 19:02:20 localhost NetworkManager: #10 0x080dbde6 in ?? ()
May 28 19:02:20 localhost NetworkManager: #11 0x080d2dc0 in nm_system_config_interface_get_connections ()
May 28 19:02:20 localhost NetworkManager: #12 0x080cf59c in ?? ()
May 28 19:02:20 localhost NetworkManager: #13 0x080d0f59 in nm_settings_get_unmanaged_specs ()
May 28 19:02:20 localhost NetworkManager: #14 0x080d1142 in ?? ()
May 28 19:02:20 localhost NetworkManager: #15 0x4ff6b038 in g_object_get_property () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #16 0x080ce063 in ?? ()
May 28 19:02:20 localhost NetworkManager: #17 0x4ff7f78b in g_cclosure_marshal_VOID__PARAM () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #18 0x4ff6189e in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #19 0x4ff62ff5 in g_closure_invoke () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #20 0x4ff74af5 in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #21 0x4ff7e412 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #22 0x4ff7e594 in g_signal_emit () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #23 0x4ff64c87 in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #24 0x4ff640c0 in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #25 0x4ff67052 in g_object_notify () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: #26 0x080cf521 in ?? ()
May 28 19:02:20 localhost NetworkManager: #27 0x080d2158 in nm_settings_new ()
May 28 19:02:20 localhost NetworkManager: #28 0x08060e14 in main ()
May 28 19:02:20 localhost NetworkManager: 
May 28 19:02:20 localhost NetworkManager: Thread 1 (Thread 0xb781d750 (LWP 1748)):
May 28 19:02:20 localhost NetworkManager: #0  0x00aea424 in __kernel_vsyscall ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #1  0x4fd725f3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #3  0x0808a21d in ?? ()
May 28 19:02:20 localhost NetworkManager: ble.
May 28 19:02:20 localhost NetworkManager: #4  <signal handler called>
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #5  0x4fe480d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #6  0x080d3340 in ?? ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: onnection_replace_settings ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #8  0x080def34 in nm_keyfile_connection_new ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #9  0x080db2f2 in ?? ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #10 0x080dbde6 in ?? ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: 1 0x080d2dc0 in nm_system_config_interface_get_connections ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #12 0x080cf59c in ?? ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #13 0x080d0f59 in nm_settings_get_unmanaged_specs ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager:  ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #15 0x4ff6b038 in g_object_get_property () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #16 0x080ce063 in ?? ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #18 0x4ff6189e in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #19 0x4ff62ff5 in g_closure_invoke () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: 5 in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #21 0x4ff7e412 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #22 0x4ff7e594 in g_signal_emit () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: le info available.
May 28 19:02:20 localhost NetworkManager: #23 0x4ff64c87 in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #24 0x4ff640c0 in ?? () from /lib/libgobject-2.0.so.0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: .0
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #26 0x080cf521 in ?? ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #27 0x080d2158 in nm_settings_new ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: #28 0x08060e14 in main ()
May 28 19:02:20 localhost NetworkManager: No symbol table info available.
May 28 19:02:20 localhost NetworkManager: A debugging session is active.
May 28 19:02:20 localhost NetworkManager: 
May 28 19:02:20 localhost NetworkManager: rior 1 [process 1748] will be detached.
May 28 19:02:20 localhost NetworkManager: 
May 28 19:02:20 localhost NetworkManager: Quit anyway? (y or n) [answered Y; input not from terminal]
May 28 19:02:20 localhost NetworkManager: ******************* END **********************************
May 28 19:02:20 localhost systemd[1]: NetworkManager.service: main process exited, code=exited, status=1
May 28 19:02:20 localhost systemd[1]: Unit NetworkManager.service entered failed state.
Comment 3 Jean-François Fortin Tam 2011-05-28 14:35:26 EDT
Created attachment 501505 [details]
var log messages

I'm also seeing this problem. In my case, it was not choking on VPN configs from /etc/NetworkManager/system-connections/, but seems to have been choking on the various ifcfg-* config files (wireless and wired networks) in /etc/sysconfig/network-scripts/

mv /etc/sysconfig/network-scripts/ifcfg-* /some/other/place
made networkmanager able to start and use the wired network.
However, I was unable to connect to my wifi network (I noticed that it created a file for it in /etc/sysconfig/network-scripts/, but for some reason it didn't want to connect. The UI did nothing.)

yum downgrade NetworkManager*

Made everything work again for me (so I could put all those network config files back into /etc/sysconfig/network-scripts/ and all my VPN files back into /etc/NetworkManager/system-connections/)

Since it was caused by the same software update, I was wondering if I needed to file a separate bug report or tag along on this one.
Comment 4 Jean-François Fortin Tam 2011-05-28 14:37:37 EDT
Bug 708626 is a possible duplicate?
Comment 5 Jean-François Fortin Tam 2011-05-28 14:58:00 EDT
Oops, actually my problem might be bug 708626 indeed, which might (or might not?) be a different issue.
Comment 6 John Bouras 2011-05-28 19:25:31 EDT
I am unable to use "yum downgrade NetworkManager". My fedora box keeps trying to access mirrors that cannot be reached while NM is not working.
Comment 7 Ansio 2011-05-28 21:35:36 EDT
(In reply to comment #6)
> I am unable to use "yum downgrade NetworkManager". My fedora box keeps trying
> to access mirrors that cannot be reached while NM is not working.

In my instance, as noted above, any 3g connection file crashes it. Have a look at /var/log/messages and see the last file NM is trying to read before a signal 11 is reached. After deleting it NM at least starts up, I then used a wifi connection (ironically its wifi to my HTC then 3g again..) to downgrade yum.
Comment 8 Cornel Ahlers 2011-05-29 06:10:00 EDT
Same problem here - yum downgrade works after accessing my WLAN via wpa_supplicant.
Is it hardware specific? I'm having an Intel 4965 over here.
Comment 9 Niklas Fischer 2011-05-29 08:14:27 EDT
Hi, i have also hit this bump.

yum downgrade NetworkManager NetworkManager-glib NetworkManager-gnome

fixed it for now. But whenever I run yum update everything starts all over :(
Comment 10 Sergei LITVINENKO 2011-05-29 08:58:49 EDT
1. ASUS Eee PC 901.

2. NetworkManager do not work after update.

3. [root@eee901 log]# rpm -qa | grep -i ^NetworkManager
NetworkManager-0.8.999-3.git20110526.fc15.i686
NetworkManager-openconnect-0.8.999-1.fc15.i686
NetworkManager-openvpn-0.8.999-1.fc15.i686
NetworkManager-glib-0.8.999-3.git20110526.fc15.i686
NetworkManager-gnome-0.8.999-3.git20110526.fc15.i686
NetworkManager-pptp-0.8.999-1.fc15.i686
NetworkManager-vpnc-0.8.999-2.fc15.i686

4. [root@eee901 log]# cat /etc/issue
Fedora release 15 (Lovelock)
Kernel \r on an \m (\l)
=========================================================================

May 29 15:41:20 eee901 NetworkManager[2110]: <info> NetworkManager (version 0.8.999-3.git20110526.fc15) is starting...
May 29 15:41:20 eee901 NetworkManager[2110]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
May 29 15:41:20 eee901 NetworkManager[2110]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
May 29 15:41:20 eee901 NetworkManager[2110]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
May 29 15:41:20 eee901 NetworkManager[2110]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
May 29 15:41:20 eee901 NetworkManager[2110]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
May 29 15:41:20 eee901 NetworkManager[2110]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
May 29 15:41:20 eee901 NetworkManager[2110]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 29 15:41:20 eee901 NetworkManager[2110]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 29 15:41:20 eee901 NetworkManager[2110]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-p33p1 ... 
May 29 15:41:20 eee901 NetworkManager[2110]:    ifcfg-rh:     read connection 'System p33p1'
May 29 15:41:20 eee901 NetworkManager[2110]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
May 29 15:41:20 eee901 NetworkManager[2110]:    keyfile: parsing MTS Hyper.NET 1 ... 
May 29 15:41:20 eee901 NetworkManager[2110]: <warn> caught signal 11. Generating backtrace...
May 29 15:41:20 eee901 NetworkManager: ******************* START **********************************
May 29 15:41:20 eee901 NetworkManager: [Thread debugging using libthread_db enabled]
May 29 15:41:20 eee901 NetworkManager: 0x00e6d424 in __kernel_vsyscall ()
May 29 15:41:20 eee901 NetworkManager: #0  0x00e6d424 in __kernel_vsyscall ()
May 29 15:41:20 eee901 NetworkManager: #1  0x4c56c5f3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 29 15:41:20 eee901 NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 29 15:41:20 eee901 NetworkManager: #3  0x0808a21d in ?? ()
May 29 15:41:20 eee901 NetworkManager: #4  <signal handler called>
May 29 15:41:20 eee901 NetworkManager: #5  0x4c63b0d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #6  0x080d3340 in ?? ()
May 29 15:41:20 eee901 NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
May 29 15:41:20 eee901 NetworkManager: #8  0x080def34 in nm_keyfile_connection_new ()
May 29 15:41:20 eee901 NetworkManager: #9  0x080db2f2 in ?? ()                  
May 29 15:41:20 eee901 NetworkManager: #10 0x080dbde6 in ?? ()                  
May 29 15:41:20 eee901 NetworkManager: #11 0x080d2dc0 in nm_system_config_interface_get_connections ()
May 29 15:41:20 eee901 NetworkManager: #12 0x080cf59c in ?? ()                  
May 29 15:41:20 eee901 NetworkManager: #13 0x080d0f59 in nm_settings_get_unmanaged_specs ()
May 29 15:41:20 eee901 NetworkManager: #14 0x080d1142 in ?? ()
May 29 15:41:20 eee901 NetworkManager: #15 0x4c8d1038 in g_object_get_property () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #16 0x080ce063 in ?? ()
May 29 15:41:20 eee901 NetworkManager: #17 0x4c8e578b in g_cclosure_marshal_VOID__PARAM () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #18 0x4c8c789e in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #19 0x4c8c8ff5 in g_closure_invoke () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #20 0x4c8daaf5 in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #21 0x4c8e4412 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #22 0x4c8e4594 in g_signal_emit () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #23 0x4c8cac87 in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #24 0x4c8ca0c0 in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #25 0x4c8cd052 in g_object_notify () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: #26 0x080cf521 in ?? ()
May 29 15:41:20 eee901 NetworkManager: #27 0x080d2158 in nm_settings_new ()
May 29 15:41:20 eee901 NetworkManager: #28 0x08060e14 in main ()
May 29 15:41:20 eee901 NetworkManager: 
May 29 15:41:20 eee901 NetworkManager: Thread 1 (Thread 0xb774b750 (LWP 2110)):
May 29 15:41:20 eee901 NetworkManager: #0  0x00e6d424 in __kernel_vsyscall ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #1  0x4c56c5f3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #3  0x0808a21d in ?? ()
May 29 15:41:20 eee901 NetworkManager: ble.
May 29 15:41:20 eee901 NetworkManager: #4  <signal handler called>
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #5  0x4c63b0d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #6  0x080d3340 in ?? ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: onnection_replace_settings ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #8  0x080def34 in nm_keyfile_connection_new ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #9  0x080db2f2 in ?? ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #10 0x080dbde6 in ?? ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: 1 0x080d2dc0 in nm_system_config_interface_get_connections ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #12 0x080cf59c in ?? ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #13 0x080d0f59 in nm_settings_get_unmanaged_specs ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager:  ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #15 0x4c8d1038 in g_object_get_property () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #16 0x080ce063 in ?? ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #18 0x4c8c789e in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #19 0x4c8c8ff5 in g_closure_invoke () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: 5 in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #21 0x4c8e4412 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #22 0x4c8e4594 in g_signal_emit () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: le info available.
May 29 15:41:20 eee901 NetworkManager: #23 0x4c8cac87 in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #24 0x4c8ca0c0 in ?? () from /lib/libgobject-2.0.so.0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: .0
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #26 0x080cf521 in ?? ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #27 0x080d2158 in nm_settings_new ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: #28 0x08060e14 in main ()
May 29 15:41:20 eee901 NetworkManager: No symbol table info available.
May 29 15:41:20 eee901 NetworkManager: A debugging session is active.
May 29 15:41:20 eee901 NetworkManager: 
May 29 15:41:20 eee901 NetworkManager: rior 1 [process 2110] will be detached.
May 29 15:41:20 eee901 NetworkManager: 
May 29 15:41:20 eee901 NetworkManager: Quit anyway? (y or n) [answered Y; input not from terminal]
May 29 15:41:20 eee901 NetworkManager: ******************* END **********************************
May 29 15:41:20 eee901 systemd[1]: NetworkManager.service: main process exited, code=exited, status=1
May 29 15:41:20 eee901 systemd[1]: Unit NetworkManager.service entered failed state.
=============================================================================

`yum downgrade NetworkManager-\*` has solved this issue

[root@eee901 log]# rpm -qa | grep -i ^NetworkManager

NetworkManager-openconnect-0.8.999-1.fc15.i686
NetworkManager-glib-0.8.999-2.git20110509.fc15.i686
NetworkManager-openvpn-0.8.999-1.fc15.i686
NetworkManager-gnome-0.8.999-2.git20110509.fc15.i686
NetworkManager-pptp-0.8.999-1.fc15.i686
NetworkManager-vpnc-0.8.999-2.fc15.i686
NetworkManager-0.8.999-2.git20110509.fc15.i686
Comment 11 Mihai Limbășan 2011-05-29 09:42:02 EDT
(In reply to comment #9)
> Hi, i have also hit this bump.
> 
> yum downgrade NetworkManager NetworkManager-glib NetworkManager-gnome
> 
> fixed it for now. But whenever I run yum update everything starts all over :(

Edit /etc/yum.repos.d/fedora-updates.repo and add the following at the end of the [updates] section:

exclude=NetworkManager-0.8.999-3.git20110526.fc15 NetworkManager-glib-0.8.999-3.git20110526.fc15 NetworkManager-gnome-0.8.999-3.git20110526.fc15

That will prevent yum from trying to install the buggy packages.
Comment 12 Mihai Limbășan 2011-05-29 09:44:35 EDT
(In reply to comment #11)
> (In reply to comment #9)
> > Hi, i have also hit this bump.
> > 
> > yum downgrade NetworkManager NetworkManager-glib NetworkManager-gnome
> > 
> > fixed it for now. But whenever I run yum update everything starts all over :(
> 
> Edit /etc/yum.repos.d/fedora-updates.repo and add the following at the end of
> the [updates] section:
> 
> exclude=NetworkManager-0.8.999-3.git20110526.fc15
> NetworkManager-glib-0.8.999-3.git20110526.fc15
> NetworkManager-gnome-0.8.999-3.git20110526.fc15
> 
> That will prevent yum from trying to install the buggy packages.

The above addition must be on a single line (Bugzilla forced line breaks, sorry.) The package names are separated by spaces.
Comment 13 Jirka Klimes 2011-05-30 16:09:02 EDT
Firstly, I couldn't reproduce that. But after reading comment #1, it came to my mind that the issue could be platform specific. And really, it looks like that just i686 installs are affected (actually there is a problem on x86_64 either, but NM doesn't crash).

I think the bug is already fixed in upstream:
232bb3cea28db108e25932c4519ee2b2f32168c3

Please, try this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3100997
with the patch.

I've tested that on a F15 i686 virtual machine and it fixes the bug.
Comment 14 Jirka Klimes 2011-05-30 16:10:34 EDT
*** Bug 708626 has been marked as a duplicate of this bug. ***
Comment 15 Jirka Klimes 2011-05-30 16:11:42 EDT
*** Bug 708677 has been marked as a duplicate of this bug. ***
Comment 16 Jirka Klimes 2011-05-30 16:12:43 EDT
*** Bug 708678 has been marked as a duplicate of this bug. ***
Comment 17 Jirka Klimes 2011-05-30 16:16:07 EDT
*** Bug 708700 has been marked as a duplicate of this bug. ***
Comment 18 Jirka Klimes 2011-05-30 16:19:37 EDT
*** Bug 708624 has been marked as a duplicate of this bug. ***
Comment 19 Jirka Klimes 2011-05-30 16:21:33 EDT
*** Bug 708623 has been marked as a duplicate of this bug. ***
Comment 20 Jirka Klimes 2011-05-30 16:27:41 EDT
*** Bug 709044 has been marked as a duplicate of this bug. ***
Comment 21 Brian G 2011-05-30 17:22:35 EDT
this 'bit' me as well... fc15 i686.. unable to start NetworkManager after update to .0.8.999-3... will attempt to downgrade or try upstream...

meanwhile I hope we can either pull this update or do something to keep from breaking others...

var messages
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> NetworkManager (version 0.8.999-3.git20110526.fc15) is starting...
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_WV ... 
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh:     read connection 'Auto WV'
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wv-private ... 
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh:     warning: missing IEEE_8021X_CA_CERT for EAP method 'peap'; this is insecure!
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh:     read connection 'wv-private'
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-WV_89.44.44.24 ... 
May 30 13:58:40 dddjlj1fc15 NetworkManager[2879]: <warn> caught signal 11. Generating backtrace...
May 30 13:58:40 dddjlj1fc15 NetworkManager: ******************* START **********************************
May 30 13:58:40 dddjlj1fc15 NetworkManager: [Thread debugging using libthread_db enabled]
May 30 13:58:40 dddjlj1fc15 NetworkManager: 0x0071e416 in __kernel_vsyscall ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #0  0x0071e416 in __kernel_vsyscall ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #1  0x448355a3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 30 13:58:40 dddjlj1fc15 NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #3  0x0808a21d in ?? ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #4  <signal handler called>
May 30 13:58:40 dddjlj1fc15 NetworkManager: #5  0x4490b0d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 30 13:58:40 dddjlj1fc15 NetworkManager: #6  0x080d3340 in ?? ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #8  0x00a75a67 in nm_ifcfg_connection_new () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: #9  0x00a73f14 in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: #10 0x00a7457e in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: #11 0x00a74796 in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: #12 0x080d2e50 in nm_system_config_interface_get_unmanaged_specs ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #13 0x080cf470 in ?? ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #14 0x080d2158 in nm_settings_new ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: #15 0x08060e14 in main ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: 
May 30 13:58:40 dddjlj1fc15 NetworkManager: Thread 1 (Thread 0xb7714750 (LWP 2879)):
May 30 13:58:40 dddjlj1fc15 NetworkManager: #0  0x0071e416 in __kernel_vsyscall ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #1  0x448355a3 in __waitpid_nocancel () from /lib/libpthread.so.0
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #3  0x0808a21d in ?? ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: ble.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #4  <signal handler called>
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #5  0x4490b0d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #6  0x080d3340 in ?? ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: onnection_replace_settings ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #8  0x00a75a67 in nm_ifcfg_connection_new () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #10 0x00a7457e in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: ugin-ifcfg-rh.so
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #12 0x080d2e50 in nm_system_config_interface_get_unmanaged_specs ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #13 0x080cf470 in ?? ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #14 0x080d2158 in nm_settings_new ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: le info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: #15 0x08060e14 in main ()
May 30 13:58:40 dddjlj1fc15 NetworkManager: No symbol table info available.
May 30 13:58:40 dddjlj1fc15 NetworkManager: A debugging session is active.
May 30 13:58:40 dddjlj1fc15 NetworkManager: 
May 30 13:58:40 dddjlj1fc15 NetworkManager: #011Inferior 1 [process 2879] will be detached.
May 30 13:58:40 dddjlj1fc15 NetworkManager: 
May 30 13:58:40 dddjlj1fc15 NetworkManager: Quit anyway? (y or n) [answered Y; input not from terminal]
May 30 13:58:40 dddjlj1fc15 NetworkManager: ******************* END **********************************
May 30 13:58:40 dddjlj1fc15 systemd[1]: NetworkManager.service: main process exited, code=exited, status=1
May 30 13:58:40 dddjlj1fc15 systemd[1]: Unit NetworkManager.service entered failed state.
Comment 22 Peter Backes 2011-05-30 17:35:27 EDT
(In reply to comment #13)
> Please, try this scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3100997
> with the patch.

I can confirm that this solves the problem. Thanks.
Comment 23 John Bouras 2011-05-30 20:35:50 EDT
Thanks for the fix. Sorry to have to ask, but what is the command syntax to install these without getting the transaction error message?
Comment 24 Brian G 2011-05-31 01:33:33 EDT
@Peter, Jirka,  scratch build of 999-4 works great.

fwiw
Comment 25 John Bouras 2011-05-31 06:36:34 EDT
On a scale of 1 to 10, 10 being a linux guru, and 1 being a single cell amoeba, I am a 3 at the very best. What's a scratch build, or is there another way to go about installing the packages?
Comment 26 Kevin Kofler 2011-05-31 07:50:01 EDT
Jirka, can you please push an official update to fix this regression?
Comment 27 Dan Williams 2011-05-31 11:41:17 EDT
Well here's a case where updates-testing fails... I fixed this issue upstream as 232bb3cea28db108e25932c4519ee2b2f32168c3 on May 26 but due to the long weekend here in the US the fix didn't get out...
Comment 28 Fedora Update System 2011-05-31 11:42:01 EDT
NetworkManager-0.8.9997-1.git20110531.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.9997-1.git20110531.fc15
Comment 29 antonio montagnani 2011-05-31 12:36:38 EDT
it works for me (at least for wireless and ethernet). Tnx Dan!!!!
Comment 30 Jirka Klimes 2011-06-01 05:19:42 EDT
*** Bug 709408 has been marked as a duplicate of this bug. ***
Comment 31 Fedora Update System 2011-06-02 14:58:40 EDT
NetworkManager-0.8.9997-1.git20110531.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Jirka Klimes 2011-06-03 04:19:33 EDT
*** Bug 708908 has been marked as a duplicate of this bug. ***
Comment 33 eric@christensenplace.us 2011-06-06 19:13:23 EDT
*** Bug 709173 has been marked as a duplicate of this bug. ***
Comment 34 Paul Maddox 2011-06-07 10:55:53 EDT
Latest package update solved this for me too.  Many thanks to all involved.
Comment 35 Oleg Andreych 2011-06-11 07:22:53 EDT
Fix works for me!
Comment 36 Patrick 2011-06-24 13:06:41 EDT
I ask the assignee to reopen this bug, because today an update to NetworkManager 0.8.9997 4.git20110620.fc15 caused the same problem on my i686 machine again. Downgrade to 0.8.999 2.git20110509 fixed it.
Comment 37 Patrick 2011-06-24 13:26:53 EDT
Created attachment 509821 [details]
backtrace

Added a backtrace. By the way, the crashing NetworkManager also killed the KDE workspace.
Comment 38 Kevin Kofler 2011-06-24 13:29:56 EDT
The KDE breakage is already reported as bug #716446.
Comment 39 Kevin Kofler 2011-06-24 13:32:22 EDT
In what desktop environment(s) do you see these crashes?

If it's only in KDE, that's bug #716446, which is a completely different bug than this one. But even if you also see this in other environments, it's still most likely not the same bug.
Comment 40 Patrick 2011-06-24 14:08:05 EDT
Thank you, Kevin. You're right, it's obviously bug #716446.
Comment 41 Jirka Klimes 2011-06-27 12:13:26 EDT
Patrick, according to backtrace in comment #37 you experience bug 716591.

Note You need to log in before you can comment on or make changes to this bug.